%global srcname fusion-icon
%global sum     Compiz Fusion panel applet

Name:           %{srcname}
Version:        0.2.2
Release:        4%{?dist}
Epoch:          1
Summary:        %{sum}
Group:          User Interface/Desktops
License:        GPLv2+
URL:            https://github.com/raveit65/%{srcname}
Source0:        https://github.com/raveit65/%{srcname}/releases/download/v%{version}/%{srcname}-%{version}.tar.xz
BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  gobject-introspection-devel
BuildRequires:  desktop-file-utils

Requires:       ccsm
Requires:       gobject-introspection
Requires:       libappindicator-gtk3
%if 0%{?fedora} < 23  || 0%{?rhel}
Requires:       pygobject3
%else
Requires:       python-gobject
%endif
%if 0%{?fedora}
Requires:       python-qt5
%else
Requires:       PyQt4
%endif

Obsoletes: %{name}-gtk < %{epoch}:%{version}-%{release}
%if 0%{?fedora} < 25
Provides:  %{name}-gtk = %{epoch}:%{version}-%{release}
%endif

%description
The Compiz Fusion Icon is a simple panel applet for starting and controlling
Compiz Fusion. Upon launch, it will attempt to start Compiz Fusion
automatically. You may need to select a window decorator, if one does not
appear.


%prep
%autosetup

%build
python2 setup.py build --with-gtk=3.0

%install
%py2_install

%check
desktop-file-validate $RPM_BUILD_ROOT/%{_datadir}/applications/fusion-icon.desktop


%post
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%files
%doc COPYING
%{_bindir}/fusion-icon
%{_datadir}/applications/fusion-icon.desktop
%dir %{python_sitelib}/FusionIcon/
%{python_sitelib}/FusionIcon/*py*
%{_datadir}/appdata/fusion-icon.appdata.xml
%{_datadir}/icons/hicolor/*/apps/fusion-icon.png
%{_datadir}/icons/hicolor/scalable/apps/fusion-icon.svg
%{python_sitelib}/fusion_icon-%{version}-py2.7.egg-info
%{python_sitelib}/FusionIcon/interface_gtk/
%{python_sitelib}/FusionIcon/interface_qt/


%changelog
* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1:0.2.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:0.2.2-3
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Mon Apr  4 2016 Peter Robinson <pbrobinson@fedoraproject.org> 1:0.2.2-2
- Drop unnessary ExcludeArch

* Wed Mar 16 2016 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1:0.2.2-1
- update to 0.2.2 release

* Thu Mar 03 2016 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1:0.2.1-1
- update to 0.2.1

* Sat Feb 13 2016 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1:0.2.0-1
- update to 0.2.0 release

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1:0.1.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sun Dec 20 2015 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1:0.1.2-4
- fix runtime requires again

* Sun Dec 20 2015 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1:0.1.2-3
- fix runtime requires

* Sat Dec 19 2015 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1:0.1.2-2
- add missing requires

* Sat Dec 19 2015 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1:0.1.2-1
- update to 0.1.2 release
- support for mate-window-decorator
- drop subpackage
- use python rpmbuild style

* Tue Oct 20 2015 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1:0.1.1-1
- switch to new upstream with new 0.1.1 release
- remove old patches
- clean up spec file
- use gtk3 as gui interface
- selecting gwd with current marco theme is working now
- menu entry is now in utilities

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:0.1-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Mar 18 2015 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1:0.1-8
- rebuild for f22

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:0.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:0.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:0.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Tue Jan 22 2013 Wolfgang Ulbrich <chat-to-me@raveit.de> -  1:0.1-4
- bump version

* Mon Oct 15 2012 Wolfgang Ulbrich <chat-to-me@raveit.de> -  1:0.1-3
- build for fedora
- review package
- remove python_sitelib stuff
- fix icon cache scriptlets
- fix python2-devel BR
- fix non-executable-script

* Sat Sep 29 2012 Wolfgang Ulbrich <chat-to-me@raveit.de> - 0.1-2
- add %%{?dist} tag again

* Sat Sep 29 2012 Wolfgang Ulbrich <chat-to-me@raveit.de> - 0.1-1
- add Epoch tag
- improve spec file

* Wed Sep 19 2012 Wolfgang Ulbrich <chat-to-me@raveit.de> - 0.1.0-0.9.5e2dc9git
- improve spec file
- remove qt subpackage

* Tue May 15 2012 Wolfgang Ulbrich <chat-to-me@raveit.de> - 0.1.0-0.8.5e2dc9git
- build for mate

